%global srcname winrm
%global sum Python libraries for interacting with windows remote management
%global gh_owner diyan
%global pypi_name py%{srcname}

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python: %global __python /usr/bin/python}
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%{!?py2_build: %global py2_build %{expand: CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python} -s"}}
%{!?py2_install: %global py2_install %{expand: CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}}}
%endif

Name:           python-%{srcname}
Version:        0.2.2
Release:        3%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://github.com/%{gh_owner}/%{pypi_name}/archive/v%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif

# For tests
BuildRequires: pytest
BuildRequires: python-six
BuildRequires: python-requests
BuildRequires: python-xmltodict
%if 0%{?rhel} && 0%{?rhel} <= 6
BuildRequires: python-mock
%else
BuildRequires: python-mock
%endif
BuildRequires: python-requests_ntlm

%if 0%{?with_python3}
BuildRequires: python3-six
BuildRequires: python3-requests
BuildRequires: python3-xmltodict
BuildRequires: python3-pytest
BuildRequires: python3-mock
BuildRequires: python3-requests_ntlm
%endif

%if 0%{?fedora}
Requires: python-xmltodict
BuildRequires: python-requests
%else
Requires: python-xmltodict
Requires: python-requests
%endif
Requires: python-requests_ntlm

%description 
This has the python libraries for interacting with Windows Remote Management


%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{sum}
Requires: python3-xmltodict
Requires: python3-requests_ntlm
Requires: python3-requests
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This has the python libraries for interacting with Windows Remote Management
%endif


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
# Must do the python install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%check
%{__python} -m pytest winrm/tests
%if 0%{?with_python3}
%{__python3} -m pytest winrm/tests
%endif

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/*
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Feb 04 2017 James Hogarth <james.hogarth@gmail.com> - 0.2.2-1
- Update to 0.2.2
- Update requires to fix bz#1409670

* Tue Dec 20 2016 James Hogarth <james.hogarth@gmail.com> - 0.2.1-3
- Fix broken requires for epel

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-2
- Rebuild for Python 3.6

* Mon Oct 24 2016 James Hogarth <james.hogarth@gmail.com> - 0.2.1-1
- Initial package
